//---------------------------------------------------------------------------
#ifndef TestMainH
#define TestMainH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "rasdialer.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TCheckBox *CheckState;
	TEdit *TimeEdit;
	TButton *CallBtn;
	TButton *HangUpBtn;
	TEdit *UserEdit;
	TEdit *PassEdit;
	TMemo *Memo;
	TComboBox *ComboBox;
	TButton *NewConnBtn;
	TButton *EditConnBtn;
	TRasDialer *Dialer;
	void __fastcall CheckStateClick(TObject *Sender);
	void __fastcall TimeEditKeyPress(TObject *Sender, char &Key);
	void __fastcall DialerConnect(TObject *Sender, int index);
	void __fastcall DialerDisconnect(TObject *Sender);
	void __fastcall CallBtnClick(TObject *Sender);
	void __fastcall HangUpBtnClick(TObject *Sender);
	
	
	
	
	
	
	void __fastcall NewConnBtnClick(TObject *Sender);
	void __fastcall EditConnBtnClick(TObject *Sender);
	void __fastcall DialerDialEvent(TObject *Sender, AnsiString ConnState,
	int Error);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
